#include <iostream>
using namespace std;
int main()
{
	int N,M,brRedara;
	cin>>N>>M;
	if(N==1)
	{
		brRedara=M;
	}
	if(M==1)
	{
		brRedara=N;
	}
	if (N!=1 && M!=1)
	brRedara=(N*2)+(M-2)*2 + ((N*M)-((N*2)+((M-2)*2)))/2;
	

	cout<<brRedara;
}